Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## SEdit
Class ActionDesc

    java.lang.Object
      SEdit.ActionDesc

    public class ActionDesc

extends java.lang.Object

The description of an action that might be requested on a whole structure or on a single element (node or arrow). Usually defined in the formalism file

Field Summary
`protected java.lang.String` | `action`
`static int` | `FUNCTION_CALL` The Scheme Function Call action type
`protected java.lang.String` | `icon`
`protected java.lang.String` | `label`
`protected int` | `lang`
`static int` | `METHOD_CALL` The Java Method Call action type
`static int` | `UNKNOWN`

Constructor Summary
`ActionDesc(int type, java.lang.String value)`
`ActionDesc(int type, java.lang.String value, java.lang.String description)`
`ActionDesc(int type, java.lang.String value, java.lang.String description, java.lang.String iconlocation)`
`ActionDesc(java.lang.String value, java.lang.String description)`
`ActionDesc(java.lang.String value, java.lang.String description, java.lang.String iconlocation)`

Method Summary
`void` | `execute(java.lang.Object target)`
`java.lang.String` | `getAction()`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getIcon()`
`java.lang.Object` | `getParam()` Get the value of parameters.
`int` | `getType()`
`boolean` | `hasDescription()`
`boolean` | `hasIcon()`
`void` | `setParam(java.lang.Object v)` Set the value of parameters.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### UNKNOWN

    public static final int UNKNOWN

See Also:
  Constant Field Values

### METHOD_CALL

    public static final int METHOD_CALL

  The Java Method Call action type

  See Also:
    Constant Field Values

### FUNCTION_CALL

    public static final int FUNCTION_CALL

  The Scheme Function Call action type

  See Also:
    Constant Field Values

### action

    protected java.lang.String action

### label

    protected java.lang.String label

### icon

    protected java.lang.String icon

### lang

    protected int lang

Constructor Detail

### ActionDesc

    public ActionDesc(int type,
                      java.lang.String value)

### ActionDesc

    public ActionDesc(java.lang.String value,
                      java.lang.String description)

### ActionDesc

    public ActionDesc(java.lang.String value,
                      java.lang.String description,
                      java.lang.String iconlocation)

### ActionDesc

    public ActionDesc(int type,
                      java.lang.String value,
                      java.lang.String description)

### ActionDesc

    public ActionDesc(int type,
                      java.lang.String value,
                      java.lang.String description,
                      java.lang.String iconlocation)

Method Detail

### getParam

    public java.lang.Object getParam()

  Get the value of parameters.

  Returns:
    Value of parameters.

### setParam

    public void setParam(java.lang.Object v)

  Set the value of parameters.

  Parameters:
    `v` - Value to assign to parameters.

### getType

    public int getType()

### getAction

    public java.lang.String getAction()

### getDescription

    public java.lang.String getDescription()

### getIcon

    public java.lang.String getIcon()

### hasDescription

    public boolean hasDescription()

### hasIcon

    public boolean hasIcon()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### execute

    public void execute(java.lang.Object target)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.